package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComMsg;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComMsgExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComMsgMapper {
    long countByExample(ThirdPartWeComMsgExample example);

    int deleteByExample(ThirdPartWeComMsgExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComMsg record);

    int insertSelective(ThirdPartWeComMsg record);

    List<ThirdPartWeComMsg> selectByExampleWithBLOBs(ThirdPartWeComMsgExample example);

    List<ThirdPartWeComMsg> selectByExample(ThirdPartWeComMsgExample example);

    ThirdPartWeComMsg selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComMsg record, @Param("example") ThirdPartWeComMsgExample example);

    int updateByExampleWithBLOBs(@Param("record") ThirdPartWeComMsg record, @Param("example") ThirdPartWeComMsgExample example);

    int updateByExample(@Param("record") ThirdPartWeComMsg record, @Param("example") ThirdPartWeComMsgExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComMsg record);

    int updateByPrimaryKeyWithBLOBs(ThirdPartWeComMsg record);

    int updateByPrimaryKey(ThirdPartWeComMsg record);
}